.link-grid {
    text-align: center;
    margin: 60px 0;
}

.link-grid-inner {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    margin: -5px;
}

.link-grid .item {
    position: relative;
    display: flex;
    align-items: flex-end;
    flex: 0 1 100%;
    height: 250px;
    margin: 5px;
    background-color: #f0ddbb;
    overflow: hidden;
}

.link-grid .image {
    z-index: 1;
    display: flex;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.link-grid img {
    min-width: 100%;
    min-height: 100%;
    object-fit: cover;
    object-position: center;
}

.link-grid .overlay {
    z-index: 1;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.25);
    opacity: 1;
    transition: opacity 0.3s ease-in-out;
}

.link-grid .item:hover .overlay {
    opacity: 0.2;
}

.link-grid .item:hover > a {
    z-index: -1;
}

.link-grid .hover-overlay,
.link-grid.rooms .hover-overlay {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -ms-flex-line-pack: center;
    align-content: center;
    z-index: 1;
    position: absolute;

    width: 100%;
    height: 100%;
    background-color: rgba(146, 37, 47, 0.8);
    padding: 30px 10px;
    opacity: 0;
    -webkit-transition: opacity 0.3s ease-in-out;
    -o-transition: opacity 0.3s ease-in-out;
    transition: opacity 0.3s ease-in-out;
}

.link-grid .hover-overlay-border{
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -ms-flex-line-pack: center;
    align-content: center;
    z-index: 1;
    position: absolute;
    top: 25px;
    left: 25px;
    width: calc(100% - 50px);
    height: calc(100% - 50px);
    border: solid 2px #fff;
}

.link-grid .hover-overlay h2 {
    -webkit-box-flex: 0;
    -ms-flex: 0 1 100%;
    flex: 0 1 100%;
    font-family: 'EB Garamond', 'Open Sans', sans-serif;
    font-size: 25px;
    line-height: 1.5;
    text-shadow: 2px 2px 6px rgba(0,0,0,0.4);
    margin: 0;
    color: #ffffff;
    text-decoration: none;
}

.link-grid .hover-overlay p {
    -webkit-box-flex: 0;
    -ms-flex: 0 1 100%;
    flex: 0 1 100%;
    font-family: 'Montserrat', sans-serif;
    font-size: 2rem;
    color: #ffffff;
    text-shadow: 2px 2px 6px rgba(0,0,0,0.4);
    text-decoration: none;
    margin-top: 20px;
}

.rooms .text p{
    font-family: 'Montserrat', sans-serif;
    font-size: 2rem;
}

.link-grid .hover-overlay a {
    -webkit-box-flex: 0;
    -ms-flex: 0 1 100%;
    flex: 0 1 100%;
    z-index: 2;
    position: relative;
    bottom: 0;
    height: auto;
    width: auto;
    font-family: 'Montserrat', sans-serif;
    font-size: 1.6rem;
    color: #ffffff;
    text-shadow: 2px 2px 6px rgba(0,0,0,0.4);
    text-decoration: underline;
    text-transform: uppercase;
    margin-top: 10px;
}

.link-grid .hover-overlay a:hover {
    text-decoration: none;
}

.link-grid.rooms .item:hover .hover-overlay {
    opacity: 1;
}

.link-grid .text,
.link-grid.rooms .text {
    opacity: 1;
    z-index: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 100%;
    height: 100%;
    color: #fff;
    padding: 0 1.5rem;
    -webkit-transition: all 0.3s ease-in-out;
    -o-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
}

.link-grid.rooms .item:hover .text {
    opacity: 0;
    z-index: -1;
    -webkit-transition: all 0.3s ease-in-out;
    -o-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
}

.link-grid .text > * {
    width: 100%;
    color: inherit;
}

.link-grid .text h2 {
    font-family: 'EB Garamond', 'Montserrat', sans-serif;
    font-size: 35px;
    line-height: 1.5;
    text-shadow: 2px 2px 6px rgba(0,0,0,0.4);
    margin: 0;
}

.link-grid a {
    z-index: 2;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}


/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {

    .link-grid.cols-1 .item {
        height: 300px;
    }

    .link-grid.cols-2 .item,
    .link-grid.cols-3 .item,
    .link-grid.cols-4 .item {
        height: 250px;
        flex-basis: calc((100% / 2) - 10px);
    }

    .link-grid.cols-1 .text h2 {
        font-size: 50px;
    }

    .link-grid .hover-overlay h2 {
        font-size: 30px;
    }

    .link-grid .hover-overlay p {
        font-size: 1.8rem;
    }

    .link-grid .hover-overlay a {
        font-size: 1.8rem;
    }

}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {

    .link-grid.cols-1 .item {
        height: 400px;
    }

    .link-grid.cols-2 .item {
        height: 300px;
    }

    .link-grid.cols-3 .item {
        height: 200px;
        flex-basis: calc((100% / 3) - 10px);
    }

    .link-grid.cols-4 .item {
        height: 160px;
        flex-basis: calc((100% / 4) - 10px);
    }

    .link-grid.cols-1 .text h2 {
        font-size: 65px;
    }

    .link-grid.cols-2 .text h2 {
        font-size: 50px;
    }

    .link-grid.cols-3 .text h2 {
        font-size: 44px;
    }

    .link-grid.cols-4 .text h2 {
        font-size: 30px;
    }

}

/* Extra large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {

    .link-grid.cols-2 .item {
        height: 350px;
    }

    .link-grid.cols-1 .text h2 {
        font-size: 75px;
    }

    .link-grid.cols-2 .text h2 {
        font-size: 50px;
    }

    .link-grid.cols-3 .text h2 {
        font-size: 50px;
    }

    .link-grid.cols-4 .text h2 {
        font-size: 40px;
    }

    .link-grid .hover-overlay h2 {
        font-size: 45px;
    }

    .link-grid .hover-overlay p {
        font-size: 2.6rem;
    }

    .link-grid .hover-overlay a {
        font-size: 2.6rem;
    }

    .rooms .text p{
        font-size: 2.5rem;
    }

}

/* Extra-extra large devices (large desktops, 1600px and up) */
@media (min-width: 1600px) {

    .link-grid.cols-1 .item {
        height: 500px;
    }

    .link-grid.cols-2 .item {
        height: 430px;
    }

    .link-grid.cols-3 .item {
        height: 260px;
    }

    .link-grid.cols-4 .item {
        height: 200px;
    }

    .dp-wrapper.alignfull > .dp-wrapper-inner.full-width > .dp-wrapper-col > .link-grid.cols-1 .item {
        height: 80vh;
    }

    .dp-wrapper.alignfull > .dp-wrapper-inner.full-width > .dp-wrapper-col > .link-grid.cols-2 .item {
        height: 450px;
    }

    .dp-wrapper.alignfull > .dp-wrapper-inner.full-width > .dp-wrapper-col > .link-grid.cols-3 .item {
        height: 350px;
    }

    .dp-wrapper.alignfull > .dp-wrapper-inner.full-width > .dp-wrapper-col > .link-grid.cols-4 .item {
        height: 250px;
    }

    .dp-wrapper.alignfull > .dp-wrapper-inner.full-width > .dp-wrapper-col > .link-grid .hover-overlay {
        display: none;
    }

    .link-grid.cols-1 .text h2 {
        font-size: 120px;
    }

    .dp-wrapper.alignfull > .dp-wrapper-inner.full-width > .dp-wrapper-col > .link-grid.cols-1 .text h2 {
        font-size: 120px;
    }

    .dp-wrapper.alignfull > .dp-wrapper-inner.full-width > .dp-wrapper-col > .link-grid.cols-2 .text h2 {
        font-size: 90px;
    }

    .dp-wrapper.alignfull > .dp-wrapper-inner.full-width > .dp-wrapper-col > .link-grid.cols-3 .text h2 {
        font-size: 64px;
    }

    .dp-wrapper.alignfull > .dp-wrapper-inner.full-width > .dp-wrapper-col > .link-grid.cols-4 .text h2 {
        font-size: 56px;
    }

}